#|
Return-Path: shosh@irisplot.math.arizona.edu
Date: Fri, 7 Feb 1997 14:23:19 -0700 (MST)
From: Alexander Shoshitaishvili <shosh@math.arizona.edu>
To: rychlik@math.arizona.edu
Subject: file for maple
|#

(setf Vars '(u12 u13 u14 u23 u24 u34 v12 v13 v14 v23 v24 v34 e1 e2 e3 e4 h1 h2 h3 
	     h4 x1 x2 x3 x4 y1 y2 y3 y4))
(setf 
    f12 "1-u12*(x1-x2)-v12*(y1-y2)"
    f13 "1-u13*(x1-x3)-v13*(y1-y3)"
    f14 "1-u14*(x1-x4)-v14*(y1-y4)"
    f23 "1-u23*(x2-x3)-v23*(y2-y3)"
    f24 "1-u24*(x2-x4)-v24*(y2-y4)"
    f34 "1-u34*(x3-x4)-v34*(y3-y4)"
    a1 "x1^2+e1+e2*x1+e3*y1+e4*x1*y1"
    a2 "y1^2+h1+h2*x1+h3*y1+h4*x1*y1"
    b1 "x2^2+e1+e2*x2+e3*y2+e4*x2*y2"
    b2 "y2^2+h1+h2*x2+h3*y2+h4*x2*y2"
    c1 "x3^2+e1+e2*x3+e3*y3+e4*x3*y3"
    c2 "y3^2+h1+h2*x3+h3*y3+h4*x3*y3"
    d1 "x4^2+e1+e2*x4+e3*y4+e4*x4*y4"
    d2 "y4^2+h1+h2*x4+h3*y4+h4*x4*y4"
    )
(setf order #'lex>)

(setf F (mapcar #'(lambda (s) (parse-string-to-sorted-alist s vars order))
		(list f12 f13 f14 f23 f24 f34 a1 a2 b1 b2 c1 c2 d1 d2)))

(poly-print (cons '[ f) vars)
;Gb:=gbasis(F,Vars,plex);
(setf gb (reduced-grobner F order))
(poly-print (cons '[ gb) vars)